JS builds now depend on Rust

JS-only builds now require that a suitable rustc and cargo be found at
configure time (bug 1444141, currently on inbound).  The version
requirements are identical to Gecko's version requirements (Rust
1.27.0 at the time of this writing) and will be bumped in tandem with
Gecko's version requirement bumps.

Note that *no* Rust code is being built in the JS engine/shell at this
time; we are adding the requirement first to make development of
Rust-requiring projects easier (e.g. bug 1469027 for cranelift support
for wasm).

Thanks,
-Nathan
0
Nathan
8/2/2018 4:01:00 PM
mozilla.dev.platform 6477 articles. 0 followers. Post Follow

0 Replies
47 Views

Similar Articles

[PageSpeed] 15

Reply: